Bug 869957 - nda field is not used at all
nda field is not used at all
Status: NEW
Product: Beaker
Classification: Community
Component: tests (Show other bugs)
0.9
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: beaker-dev-list
TaskLibrary
:
Depends On: 862970
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 04:36 EDT by Qixiang Wan
Modified: 2018-02-05 19:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 862970
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qixiang Wan 2012-10-25 04:36:12 EDT
+++ This bug was initially created as a clone of Bug #862970 +++

bkr task-details reports destructive=False and nda=False for tasks where the field is missing in testinfo.desc (therefore the value is stored by Beaker as NULL/None, not False). This is dangerous because it means Beaker is reporting a test as not destructive, or not under NDA, when it does not know that.

See also bug 749512.

Originally this was probably to work around problems with encoding None/nil in XML-RPC responses. I don't think that is an issue anymore with Python 2.4+.

--- Additional comment from dcallagh@redhat.com on 2012-10-04 12:09:22 CST ---

Currently in RHT's production Beaker we have 9914 tasks where nda is NULL and 3687 where destructive is NULL.

--- Additional comment from dcallagh@redhat.com on 2012-10-25 14:01:25 CST ---

It turns out the nda field is never populated or displayed anywhere except in bkr task-details, so it is useless. So for this bug we should just remove the nda field entirely.

The original problem still applies to the destructive field though. We should report destructive=None when it's not known.

Note You need to log in before you can comment on or make changes to this bug.